package be.iminds.ilabt.jfed.experimenter_gui.login;/**
 * User: twalcari
 * Date: 2/1/2016
 * Time: 11:12
 */

import be.iminds.ilabt.jfed.experimenter_gui.ui.ConfirmingPasswordInputDialog;
import javafx.application.Application;
import javafx.scene.control.Alert;
import javafx.scene.control.ButtonType;
import javafx.stage.Stage;

public class Test extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) {

        ConfirmingPasswordInputDialog cpid = new ConfirmingPasswordInputDialog();
        cpid.setHeaderText("Securing login certificate");
        cpid.setContentText("Please provide a password to encrypt your login certificate.");
        cpid.showAndWait();


        Alert d = new Alert(Alert.AlertType.CONFIRMATION);
        d.setTitle("The downloaded certificate is unprotected");
        d.setHeaderText("The downloaded certificate is unprotected");
        d.setContentText("If you want to use this certificate in future sessions, we recommend that you save it encrypted locally.");

        ButtonType dontSaveButtonType = new ButtonType("Don't Save");
        ButtonType saveEncryptedButtonType = new ButtonType("Save Encrypted");
        ButtonType saveUnencryptedButtonType = new ButtonType("Save Unencrypted");

        d.getDialogPane().getButtonTypes().setAll(dontSaveButtonType, saveEncryptedButtonType, saveUnencryptedButtonType);

        d.showAndWait();


         /*
        CLDialog.CommandLinksButtonType dontSaveButtonType =
                new CLDialog.CommandLinksButtonType("Don't save certificate", "You will need to download the certificate again for each session", true);
        CLDialog.CommandLinksButtonType saveEncryptedButtonType =
                new CLDialog.CommandLinksButtonType("Encrypt and save locally", "Encrypt your certificate before saving it locally", false);
        CLDialog.CommandLinksButtonType saveUnencryptedButtonType =
                new CLDialog.CommandLinksButtonType("Don't encrypt and save locally", "Store your certificate locally unencrypted. This is unsafe.", false);

        CLDialog dialog = new CLDialog(dontSaveButtonType, saveEncryptedButtonType, saveUnencryptedButtonType);

        dialog.setTitle("The downloaded certificate is unprotected");
        dialog.setContentText("The downloaded certificate is unprotected. Do you want to save it for future sessions?");

        dialog.showAndWait();      */

    }
}
