package be.iminds.ilabt.jfed.experimenter_gui.canvas.rspec;

import be.iminds.ilabt.jfed.experimenter_gui.JFedConfiguration;
import be.iminds.ilabt.jfed.highlevel.model.AuthorityList;
import be.iminds.ilabt.jfed.rspec.model.javafx_impl.DelayRspecNode;
import javafx.scene.image.Image;

/**
 * User: twalcari
 * Date: 4/8/2014
 * Time: 17:39
 */
public class DelayRspecCanvasNode extends RspecCanvasNode {
    public DelayRspecCanvasNode(DelayRspecNode node, AuthorityList authorityList, JFedConfiguration config) {
        super(node, authorityList, config);

        setStyle("-fx-background-color: orange;");
        getTypeImageView().setImage(new Image(RspecCanvasNode.class.getResource("/images/bridge.png").toString()));
    }

    @Override
    public DelayRspecNode getRspecNode() {
        return (DelayRspecNode) super.getRspecNode();
    }
}
