///*
// * To change this license header, choose License Headers in Project Properties.
// * To change this template file, choose Tools | Templates
// * and open the template in the editor.
// */
//package be.iminds.ilabt.jfed.experimenter_gui.editor.ontology.view;
//
//import be.iminds.ilabt.jfed.experimenter_gui.editor.ontology.controller.CustomControlController;
//import javafx.beans.value.ChangeListener;
//import javafx.beans.value.ObservableValue;
//import javafx.event.EventHandler;
//import javafx.geometry.Insets;
//import javafx.geometry.Point2D;
//import javafx.geometry.Pos;
//import javafx.scene.Scene;
//import javafx.scene.control.Button;
//import javafx.scene.control.ComboBox;
//import javafx.scene.control.TextField;
//import javafx.scene.control.ToggleButton;
//import javafx.scene.layout.HBox;
//import javafx.scene.layout.StackPane;
//import javafx.scene.layout.VBox;
//import javafx.scene.paint.Color;
//import javafx.stage.Stage;
//import javafx.stage.StageStyle;
//import javafx.stage.Window;
//
///**
// *
// * @author Patrick
// */
//public class CustomControlView extends ToggleButton {
//
//    private TextField valueField;
//    private TextField minField;
//    private TextField maxField;
//    private String value = "", min = "", maxLat = "";
//    private ComboBox<String> listValues;
//    private Button saveButton;
//    private String title;
//    private String prompt;
//    private Stage stage;
//    private Window owner;
//
//    public CustomControlView(String title, String type, String prompt) {
//        super.setText(title);
//        this.title = title;
//        this.prompt = prompt;
//        createPopup(type);
//        this.setOnAction(event -> {
//            ToggleButton button = (ToggleButton) event.getSource();
//            if (stage.isShowing()) {
//                stage.hide();
//            } else {
//                Scene scene1 = button.getScene();
//                final Point2D windowCoord = new Point2D(scene1.getWindow().getX(), scene1.getWindow().getY());
//                final Point2D sceneCoord = new Point2D(scene1.getX(), scene1.getY());
//                final Point2D nodeCoord = button.localToScene(0.0, 0.0);
//                stage.setX(windowCoord.getX() + sceneCoord.getX() + nodeCoord.getX());
//                stage.setY(windowCoord.getY() + sceneCoord.getY() + nodeCoord.getY() + button.getHeight());
//                stage.show();
//                saveButton.requestFocus();
//            }
//        });
//        this.setOnMousePressed(event -> {
//            ToggleButton button = (ToggleButton) event.getSource();
//            CustomControlView ccv = (CustomControlView) button.getToggleGroup().getSelectedToggle();
//            if (ccv != null && ccv != button) {
//                ccv.hideStage();
//                ccv.setSelected(false);
//            }
//        });
//    }
//
//    private void createPopup(String type) {
//        stage = new Stage(StageStyle.TRANSPARENT);
//        StackPane layout = new StackPane();
//        VBox vBox = new VBox(5);
//        valueField = new TextField();
//        minField = new TextField();
//        maxField = new TextField();
//        saveButton = new Button("Save");
//        listValues = new ComboBox<>();
//        valueField.setPromptText("Enter value");
//        if (prompt != null){
//            minField.setPromptText("Enter minimum " + prompt);
//            maxField.setPromptText("Enter maximum " + prompt);
//        } else {
//            minField.setPromptText("Enter minimum");
//            maxField.setPromptText("Enter maximum");
//        }
//
//
//        HBox hBox = new HBox();
//        hBox.getChildren().add(valueField);
//        HBox hBox2 = new HBox();
//        if (type != null) {
//            hBox2.getChildren().add(minField);
//            hBox2.getChildren().add(maxField);
//        } else {
//            hBox2.getChildren().add(listValues);
//            listValues.valueProperty().addListener(new ChangeListener<String>() {
//
//                @Override
//                public void changed(ObservableValue ov, String t, String t1) {
//                    valueField.setText(t1);
//                    setText(title + " =" + t1);
//                }
//            });
//        }
//        HBox hBox3 = new HBox();
//        hBox3.setAlignment(Pos.CENTER_RIGHT);
//        hBox3.getChildren().addAll(saveButton);
//        vBox.setPadding(new Insets(5));
//        vBox.getChildren().addAll(hBox2, hBox3);
//        vBox.setStyle("-fx-border-color: grey;"
//                + "-fx-border-width: 2px;");
//        layout.getChildren().addAll(vBox);
//
//        Scene scene = new Scene(layout, Color.LIGHTGREY);
//        stage.setScene(scene);
//        stage.setResizable(false);
//    }
//
//    public void addSaveHandler(EventHandler eh) {
//        saveButton.setOnAction(eh);
//    }
//
//    public void performSave() {
//        saveButton.fire();
//    }
//
//    public void saveSettings() {
//        value = valueField.getText();
//        min = minField.getText();
//        maxLat = maxField.getText();
//    }
//
//    private void unselectButton() {
//        this.setSelected(false);
//    }
//
//    public void setOwner(Window owner) {
//        this.owner = owner;
//        stage.initOwner(owner);
//    }
//
//    public void hideStage() {
//        stage.hide();
//    }
//
//    public TextField getMinField() {
//        return minField;
//    }
//
//    public TextField getMaxField() {
//        return maxField;
//    }
//
//    public TextField getValueField() {
//        return valueField;
//    }
//
//    public ComboBox getListValues() {
//        return listValues;
//    }
//
//    public String getTitle() {
//        return title;
//    }
//
//    public String getValue() {
//        return value;
//    }
//
//    public void setValue(String value) {
//        this.value = value;
//    }
//
//    public String getMin() {
//        return min;
//    }
//
//    public void setMin(String min) {
//        this.minLat = minLat;
//    }
//
//    public String getMax() {
//        return maxLat;
//    }
//
//    public void setMax(String maxLat) {
//        this.maxLat = maxLat;
//    }
//
//    public void addListeners(CustomControlController.ValueFieldListener valueListener, CustomControlController.MinMaxFieldListener minmaxListener) {
//        valueField.textProperty().addListener(valueListener);
//        minField.textProperty().addListener(minmaxListener);
//        maxField.textProperty().addListener(minmaxListener);
//    }
//
//    public void addListeners(CustomControlController.MinMaxFieldListener minmaxListener) {
//        minField.textProperty().addListener(minmaxListener);
//        maxField.textProperty().addListener(minmaxListener);
//    }
//
//}
